Subject: Re: bug#68824: treesitter support for outline-minor-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Feb 2024 09:34:36 +0200

> From: Yuan Fu <[email-masked]>
> Date: Thu, 1 Feb 2024 23:27:50 -0800
> Cc: Juri Linkov <[email-masked]>,
>  [email-masked]
> 
> 
> 
> > On Feb 1, 2024, at 11:05 PM, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> Cc: [email-masked]
> >> From: Yuan Fu <[email-masked]>
> >> Date: Thu, 1 Feb 2024 16:34:47 -0800
> >> 
> >> Instead of using treesit-search-forward, can you use treesit-beginning-of-thing or treesit--navigate-thing to do what you want? They handle the “child before parent” problem for you, and handles some other edge cases.
> > 
> > If the above helps Juri accomplish his goal, I think we should reflect
> > that somehow in the ELisp manual, at least.  I see that
> > treesit-beginning-of-thing is not even documented in the ELisp manual,
> > and treesit--navigate-thing is an internal function that is not
> > supposed to be called from outside of treesit.el.
> > 
> > Thanks.
> 
> The whole “things” feature [1] is not documented right now, since I was experimenting with them. If we think it’s time we can make the functions public and document them. Personally I think we can wait for a bit longer.

Doesn't the fact that you suggested to Juri to use that tell us it's
time to make these facilities public?